package com.keypalette.theme.dataabout.requestdata;



import java.util.ArrayList;
import java.util.List;

public class ConfigWrapper {
    private String name;
    private List<KeyBean> keyBeans = new ArrayList<>();


    public ConfigWrapper(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KeyBean> getKeys() {
        return keyBeans;
    }

    public void addKey(KeyBean keyBean) {
        this.keyBeans.add(keyBean);
    }

    public KeyBean getLastKey() {
        return keyBeans.isEmpty() ? null : keyBeans.get(keyBeans.size() - 1);
    }


}